IDENT-SPOOFER(8)

NAME
ident-spoofer - ident protocol daemon

SYNOPSIS
ident-spoofer [-daemon <port>] [-fastdaemon <port>] [-as <tag>]

DESCRIPTION
ident-spoofer provides ident (rfc1430) protocol emulation for firewall host. ident-spoofer does not provide actual information about firewall users; it makes up reasonable looking response.

The ident spoofer (ident-spoofer) generally runs as a daemon (invoked from system startup script, p.e. /etc/rc.local) and listens for requests on the specified port (tcp/113, as indicated in /etc/services ,is reasonable default). Whenever the system receives an ident request on this port, ident-spoofer checks its configuration information (in the netperm-table) and determines whether the initiating host has permission to request the status data. If the request is allowed, a reponse is being provided according to the configuation; if the host does not have permission, ident-spoofer logs the connection attempt and displays an error message.

The ident spoofer may also be invoked from tcp/ip "superserver" (inetd or xinetd). -daemon parameter should be omitted in this case.

OPTIONS

  Command Line Options
The ident spoofer recognizes the following command line options (whether started from the command line or from within /etc/rc.local):

-daemon port
    Indicates that ident-spoofer runs as a daemon, and the port (name or number) on which it listens. When -daemon option is used, configuration is being read from netperm-table for every new connection accepted by ident spoofer.

    port Specifies either a numeric id or symbolic name from the /etc/services file.

-fastdaemon port
    Indicates that ident-spoofer runs as a daemon, and the port (name or number) on which the ident-spoofer listens. When -fastdaemon option is used, configuration is being read from netperm-table once the daemon starts or if SIGHUP is received.

-as tag
    Changes default application tag for netperm-table from "ident-spoofer" to any given string.

  Configuration Options
The ident spoofer reads configuration rules from the /usr/local/etc/netperm-table. It reads all rules using the ident-spoofer and * (wildcard) keywords. The ident spoofer reads the netperm-table from top to bottom. If there are multiple rules in the table that could apply for a particular attribute, the ident spoofer uses the first one that it finds. See netperm-table(5) for a more complete explanation of netperm-table syntax and precedence.

The ident spoofer recognizes the following attributes:

ostype os-type
    Specifies OSTYPE (operating system type) reposnse.

    os-type
        A string identifying operating system. Default is UNIX .

service port username
    Defines fake user for given service.

    port
        Specifies either a numeric id or symbolic name from the /etc/services file.

    username
        Specifies user name (string) or `random' (means new pseudo-random name should be generated for every request)

hosts host-pattern [host-pattern2...]
    rules specify host and access permissions. Typically, a hosts rule will be in the form of:

    ident-spoofer: deny-hosts unknown

    ident-spoofer: hosts 10.0.0.3

    There may be several host patterns following the "hosts" keyword.

groupid group
    Specifies the name of the group the ident spoofer uses when running.

    group
        Specifies either a name or numeric id from the /etc/group file.

userid user
    Specifies the user ID the ident spoofer uses when running.

    user
        Specifies either a name or numeric id from the /etc/passwd file.

FILES

/etc/rc.local
    Command script that controls automatic reboot, and includes startup information for the ident spoofer.

/usr/local/etc/netperm-table
    The network permissions file contains configuration information for the Firewall Toolkit, including ident spoofer.

BUGS
Report bugs to arkenoi@gmail.com or fwtk-users@buoy.com mailing list. Include a complete example, explaining what you expected to happen and what actually happened. Be sure to indicate the type of system (operating system, hardware, etc.) you are using, as well as the version of ident spoofer.

AUTHOR
ArkanoiD.

SEE ALSO
netperm-table(5), rc(8), authsrv(8), netacl(8)